Name:		waydroid
Version: 	1.4.2
Release: 	%mkrel 3
License: 	GPLv3
BuildArch: 	noarch
Group: 		Emulators
Summary: 	Waydroid uses a container-based approach to boot a full Android system
URL: 		https://waydro.id

Source0: 	https://github.com/waydroid/waydroid/archive/%{version}/waydroid-%{version}.tar.gz
Source1:        dev-binderfs.mount
#(eatdirt) add necessary pre steps before starting the container
Patch0:		waydroid-1.4.2-servicepre.patch
#from Ghibo
Patch1:         waydroid-1.4.2-lxcprofile.patch

#(eatdirt)
#binderfs is  now within the kernel
#Requires: dkms-anbox
Requires: nftables
Requires: lxc >= 4.0.10
Requires: python-gbinder
Requires: python-gobject
Requires: python-pyclip
Requires: dnsmasq
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description
Waydroid uses Linux namespaces (user, pid, uts, net, mount, ipc) to run a full
Android system in a container and provide Android applications on any
GNU/Linux-based platform.

The Android system inside the container has direct access to any needed
hardware.

The Android runtime environment ships with a minimal customized Android system
image based on LineageOS. The image is currently based on Android 10.

Note: You need to run a kernel compiled with CONFIG_PSI=y, and boot with kernel
command-line parameter psi=1 for the Android container to start.

%prep
%setup -q
%autopatch -p1

%build
#(eatdirt) fedora does this but this is breaking the first-lunch menu (bugs opened on waydroid)
#
#sed -i -e '/"system_channel":/ s/: ".*"/: ""/' tools/config/__init__.py
#sed -i -e '/"vendor_channel":/ s/: ".*"/: ""/' tools/config/__init__.py
#

%install
%make_install LIBDIR=%{_libdir} DESTDIR=%{buildroot} USE_SYSTEMD=1 USE_DBUS_ACTIVATION=1 USE_NFTABLES=1

mkdir -p %{buildroot}

%py_byte_compile %{python3} %{buildroot}%{_prefix}/lib/waydroid
	
%{__install} -d %{buildroot}%{_unitdir}
%{__install} -p -m 644 %{S:1} %{buildroot}%{_unitdir}/

%post
%_post_service waydroid-container

%preun
%_preun_service waydroid-container

%files
%{_unitdir}/waydroid-container.service
%{_unitdir}/dev-binderfs.mount
%{_sysconfdir}/xdg/menus/applications-merged/waydroid.menu
%{_prefix}/lib/waydroid
%{_bindir}/waydroid
%{_datadir}/applications/Waydroid.desktop
%{_datadir}/applications/waydroid.market.desktop
%{_datadir}/applications/waydroid.app.install.desktop
%{_datadir}/metainfo/id.waydro.waydroid.metainfo.xml
%{_datadir}/icons/hicolor/512x512/apps/waydroid.png
%{_datadir}/dbus-1/system-services/id.waydro.Container.service
%{_datadir}/dbus-1/system.d/id.waydro.Container.conf
%{_datadir}/polkit-1/actions/id.waydro.Container.policy
%{_datadir}/desktop-directories/waydroid.directory	




%changelog
* Sat Feb 24 2024 eatdirt <eatdirt> 1.4.2-3.mga9
+ Revision: 2044074
- Fix lxc profile
- Fix linking to new naming of kernel devices
- Update waydroid to version 1.4.2 (mga#32467)

* Sun Dec 11 2022 buchan <buchan> 1.3.2-1.mga9
+ Revision: 1920519
- Upgrade to 1.3.2

* Mon Mar 21 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1815204
- Mageia 9 Mass Rebuild

* Sat Nov 06 2021 buchan <buchan> 1.2.0-1.mga9
+ Revision: 1754269
- imported package waydroid

